# Spec StdAdaptorIterator
Adapt STL iterators to SeqAn iterators.

Extends | Iter
All Extended | Iter
All Impl'd | IteratorAssociatedTypesConcept
Defined in | <seqan/basic.h>
Signature | `template <typename TContainer> class Iter<TContaier, StdIteratorAdaptor>;`

## Template Parameters

`TContainer` | The container to iterate over.

## Member Function Overview

### Member Functions Inherited From Iter

- `Iter`

## Interface Function Overview

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `operator*`
- `value`
- `getValue`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Iter

- `Container`
- `IterComplementConst`
- `IterMakeConst`
- `Spec`

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

## Detailed Description

This type is a wrapper around STL iterators that has a conversion operator back to the underlying iterator.

#### Dox Sources

    /*!
     * @class StdAdaptorIterator
     *
     * @extends Iter
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Adapt STL iterators to SeqAn iterators.
     *
     * @signature template <typename TContainer> class Iter<TContaier,
     *            StdIteratorAdaptor>;
     *
     * @tparam TContainer The container to iterate over.
     *
     * This type is a wrapper around STL iterators that has a conversion operator
     * back to the underlying iterator.
     */